# ComponentModelBasePlugin

@Incubating
abstract class ComponentModelBasePlugin : Plugin<T>

Base plugin for component support. Adds a org.gradle.platform.base.ComponentSpecContainer named `components` to the model. For each binary instance added to the binaries container, registers a lifecycle task to create that binary.

## Constructors

ComponentModelBasePlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)